Error
A valid request URL is required to generate request examples{
"pageKey": "<string>",
"response": [
{
"hidden": true,
"hiddenReasons": [
"INAPPROPRIATE_NAME"
],
"moderationSource": "AI",
"donationSubject": {
"chainId": 123,
"address": "<string>",
"donationSource": {
"label": "<string>",
"address": "<string>",
"chain": {
"id": 123,
"name": "<string>",
"type": "bitcoin"
},
"developerProjectId": "<string>"
},
"creditedAccount": {
"chain": {
"id": 123,
"name": "<string>",
"type": "bitcoin"
},
"address": "<string>"
},
"type": "token",
"token": {
"id": "<string>",
"chainId": 123,
"address": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"standard": "NATIVE",
"hidden": true,
"hiddenReasons": [
"INAPPROPRIATE_NAME"
],
"moderationSource": "AI"
}
},
"pendingUsdE6": "<string>",
"finalizedUsdE6": "<string>",
"displayedUsdE6": "<string>",
"pendingCount": 0,
"finalizedCount": 0,
"donationCount": 0,
"firstDonationAt": "<string>",
"lastDonationAt": "<string>",
"rank": 0
}
],
"tokenImageMap": {}
}{
"defined": true,
"code": "VALIDATION_ERROR",
"status": 400,
"message": "Validation failed",
"data": {
"error": "<string>",
"code": "VALIDATION_ERROR",
"issues": [
null
]
}
}API Reference
List charity coins
Paginated leaderboard of charity-coin donation subjects.
GET
/
charity-coins
Error
A valid request URL is required to generate request examples{
"pageKey": "<string>",
"response": [
{
"hidden": true,
"hiddenReasons": [
"INAPPROPRIATE_NAME"
],
"moderationSource": "AI",
"donationSubject": {
"chainId": 123,
"address": "<string>",
"donationSource": {
"label": "<string>",
"address": "<string>",
"chain": {
"id": 123,
"name": "<string>",
"type": "bitcoin"
},
"developerProjectId": "<string>"
},
"creditedAccount": {
"chain": {
"id": 123,
"name": "<string>",
"type": "bitcoin"
},
"address": "<string>"
},
"type": "token",
"token": {
"id": "<string>",
"chainId": 123,
"address": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"standard": "NATIVE",
"hidden": true,
"hiddenReasons": [
"INAPPROPRIATE_NAME"
],
"moderationSource": "AI"
}
},
"pendingUsdE6": "<string>",
"finalizedUsdE6": "<string>",
"displayedUsdE6": "<string>",
"pendingCount": 0,
"finalizedCount": 0,
"donationCount": 0,
"firstDonationAt": "<string>",
"lastDonationAt": "<string>",
"rank": 0
}
],
"tokenImageMap": {}
}{
"defined": true,
"code": "VALIDATION_ERROR",
"status": 400,
"message": "Validation failed",
"data": {
"error": "<string>",
"code": "VALIDATION_ERROR",
"issues": [
null
]
}
}Authorizations
Developer API key. Required for config create/list/delete and project analytics. Optional on public GET reads (anonymous callers are IP rate-limited). Obtain from the Developer dashboard.
Query Parameters
Required range:
1 <= x <= 100Cursor for next page (from previous pageKey)
Sort by for leaderboard results
Available options:
top-donated, recent-donation Include hidden items (default false).
Available options:
true, false Was this page helpful?